New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2142 (ENHANCE-02_Pierre Mathiot_ISF) – NEMO

Opened 4 years ago

Closed 3 years ago

#2142 closed Task (fixed)

ENHANCE-02_Pierre Mathiot_ISF

Reported by: mathiot Owned by: mathiot
Priority: high Milestone: 2019 WP
Component: TRA Version: trunk
Severity: minor Keywords: ISF,
Cc:

Description (last modified by mathiot)

Context

Developments of ice shelf code:

  • Coupling with ice sheet model (method currently in test by UKESM based on NEMO 3.6):
    • new method to correct the dynamics part when restart after coupling with ice sheet model (more stable)
    • new method to correct the thermodynamic after coupling with an ice sheet model (decrease the spin up time of the new cells)
    • fixing issue with conservation routine when coupling to an active ice shelf model
  • Code cleaning:
    • code cleaning (move all ISF routines/subroutine in an ISF directory + general cleaning)
    • new geometry computation (old computation removed and rewriten from scratch based on discussion with BAS/Reading/IGE)
    • Check if all lbc_lnk are useful in ISF code. It is likely only lbc_lnk on utbl and vtbl are needed.
  • Configurations:
    • Add regional WED025 configuration (bdy + tide + sea ice + ice shelf) (Chris Bull configuration from BAS). Could replace SPITZ12.
    • Upgrade ISOMIP test case to ISOMIP+ with test of the coupling capability.

Wiki : https://forge.ipsl.jussieu.fr/nemo/wiki/2019WP/ENHANCE-02_PierreMathiot_ISF

Implementation plan

...

Commit History (17)

ChangesetAuthorTimeChangeLog
11568mathiot2019-09-18T17:52:11+02:00

ENHANCE-02_ISF: fix compatibility issue between rn_hmin and ice shelf (ticket #2142)

11553mathiot2019-09-16T18:54:28+02:00

ENHANCE-02_ISF: fix coupling issue (ticket #2142)

11541mathiot2019-09-12T18:41:17+02:00

ENHANCE-02_ISF: simplify use of ln_isf, add extra comments + minor changes (ticket #2142)

11529mathiot2019-09-10T18:35:59+02:00

ENHANCE-02_ISF: fixes for ice sheet coupling (ticket #2142)

11523mathiot2019-09-10T13:17:42+02:00

ENHANCE-02_ISF: rm debug print + simplification + rm remaining old namelist parameter (ticket #2142))

11521mathiot2019-09-10T11:49:13+02:00

ENHANCE-02_ISF: fix issue with ice sheet coupling and conservation + other minor changes (ticket #2142)

11495mathiot2019-09-03T17:45:00+02:00

ENHANCE-02_ISF: fix issue in the computation of utbl and vtbl + cosmetic change (ticket #2142)

11494mathiot2019-09-03T12:46:35+02:00

ENHANCE-02_ISF: switch on isf param in WED025 and fix bugs in isf param code + cosmetic changes (ticket #2142)

11489mathiot2019-09-02T15:30:17+02:00

ENHANCE-02_ISF: move ln_isf out of namsbc and add an easy way to run with isf cavity and no ice shelf melt (ticket #2142)

11488mathiot2019-08-30T19:59:38+02:00

ENHANCE-02_ISF: mask isf output in the open ocean + activation of bdy and tide in WED025 (ticket #2142)

11487mathiot2019-08-30T16:59:33+02:00

ENHANCE-02_ISF: add WED025 configuration (si3, bdy, isf, tide), (ticket #2142)

11486mathiot2019-08-30T16:57:21+02:00

ENHANCE-02_ISF: bug on top drag coeficient value (ticket #2142)

11425mathiot2019-08-08T19:15:24+02:00

ENHANCE-02_ISF_nemo : bug correction when oasis provide the ice shelf melt (ticket #2142)

11423mathiot2019-08-08T16:02:49+02:00

ENHANCE-02_ISF_nemo : add UKESM ice sheet coupling method (ticket #2142)

11403mathiot2019-08-05T19:14:52+02:00

ENHANCE-02_ISF_nemo : add comments, renaming file (AGRIF), add isfload module (ticket #2142)

11395mathiot2019-08-02T16:19:00+02:00

ENHANCE-02_ISF_nemo : Initial commit isf simplification (add ISF directory, moved isf routine in and split isf cavity and isf parametrisation, ...) (ticket #2142)

11308mathiot2019-07-19T15:04:36+02:00

ENHANCE-02_ISF_domcfg: create domisf to isolate isf related work and add new isf geometry computation used by UKESM (ticket #2142)

Change History (21)

comment:1 Changed 4 years ago by mathiot

  • Description modified (diff)

comment:2 Changed 4 years ago by nemo

  • Priority changed from normal to high

comment:3 Changed 3 years ago by mathiot

In 11308:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 3 years ago by mathiot

In 11395:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 3 years ago by mathiot

In 11403:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 3 years ago by mathiot

In 11423:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 3 years ago by mathiot

In 11425:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 3 years ago by mathiot

In 11486:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 3 years ago by mathiot

In 11487:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 3 years ago by mathiot

  • wp_comment set to Status 08/2019: Work started on 2 branches: one for domcfg (inclusion of the new geometry computation) and one on NEMO itself (cleaning, new method to couple with an ice sheet model, ... see wiki for details). Testing: - test on ISOMIP successful. Still to do: - add the WED025 configuration (bdy, sea ice, ice shelf, tides) configuration. - add an updated ISOMIP test (static geometry and moving geometry). - test it with our prototype GO8 on eORCA025. - review. Will be ready for the merge.

comment:11 Changed 3 years ago by mathiot

In 11488:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 3 years ago by mathiot

In 11489:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 3 years ago by mathiot

In 11494:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 3 years ago by mathiot

In 11495:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 3 years ago by mathiot

In 11521:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 3 years ago by mathiot

In 11523:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 3 years ago by mathiot

In 11529:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 3 years ago by mathiot

In 11541:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 3 years ago by mathiot

In 11553:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 3 years ago by mathiot

In 11568:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:21 Changed 3 years ago by mathiot

  • Resolution set to fixed
  • Status changed from new to closed
  • wp_comment changed from Status 08/2019: Work started on 2 branches: one for domcfg (inclusion of the new geometry computation) and one on NEMO itself (cleaning, new method to couple with an ice sheet model, ... see wiki for details). Testing: - test on ISOMIP successful. Still to do: - add the WED025 configuration (bdy, sea ice, ice shelf, tides) configuration. - add an updated ISOMIP test (static geometry and moving geometry). - test it with our prototype GO8 on eORCA025. - review. Will be ready for the merge. to Status 08/2019: Work started on 2 branches: one for domcfg (inclusion of the new geometry computation) and one on NEMO itself (cleaning, new method to couple with an ice sheet model, ... see wiki for details).

Branch ENHANCE-02_ISF_domcfg merge into tools_MERGE_2019
Branch ENHANCE-02_ISF_nemo merge into dev_r11943_MERGE_2019 and dev_r11943_MERGE_OPTION2_2019

Note: See TracTickets for help on using tickets.